{
  "name": "monorepo-boilerplate-user",
  "license": "MIT",
  "scripts": {
    "build": "rm -rf dist && webpack --config webpack.config.js",
    "start": "nodemon --watch \"src/**/*\" -e ts --exec \"ts-node -r tsconfig-paths/register\" ./src/server.dev.ts",
    "start:offline:dev": "serverless offline start --stage dev",
    "start:offline:prod": "serverless offline start --stage prod",
    "deploy:prod": "env SLS_DEBUG=\"*\" sls deploy --stage prod",
    "deploy:dev": "env SLS_DEBUG=\"*\" sls deploy --stage dev",
    "m:up": "npx knex migrate:up",
    "m:latest": "npx knex migrate:latest",
    "m:rollback": "npx knex migrate:rollback",
    "m:status": "npx knex migrate:status",
    "test": "jest --detectOpenHandles --passWithNoTests --silent --noStackTrace --runInBand --coverage",
    "test:watch": "npm run test --watch",
    "test:verbose": "jest --detectOpenHandles --coverage"
  },
  "dependencies": {
    "aws-serverless-express": "^3.4.0",
    "express-async-errors": "^3.1.1",
    "ramda": "^0.27.1"
  },
  "devDependencies": {
    "@types/aws-serverless-express": "^3.3.3",
    "@types/jest": "^26.0.24",
    "@types/node": "^14.14.22",
    "@types/ramda": "^0.27.44",
    "nodemon": "^2.0.12",
    "serverless-dotenv-plugin": "^3.9.0",
    "serverless-offline": "^6.8.0",
    "ts-jest": "^27.0.4",
    "ts-loader": "^9.2.5",
    "ts-node": "^10.1.0",
    "tsconfig-paths": "^3.10.1",
    "tsconfig-paths-webpack-plugin": "^3.5.1",
    "typescript": "^4.1.3",
    "webpack": "^5.49.0",
    "webpack-cli": "^4.7.2"
  }
}
